.entry {
    width: 380px;
    margin: 10px;
    height: 300px;
    background-color: darkgreen;
    background-repeat: no-repeat;
    display: inline-block;
}

figure img {
    width: 380px;
    height: 250px;
}

@media screen and (max-width:450px) {
    .entry {
        width: 250px;
        margin: 10px;
        height: 190px;
        background-color: darkgreen;
        background-repeat: no-repeat;
        display: inline-block;
    }
    figure img {
        width: 250px;
        height: 150px;
    }
}

@media screen and (max-width:300px) {
    .entry {
        width: 200px;
        margin: 10px;
        height: 150px;
        background-color: darkgreen;
        background-repeat: no-repeat;
        display: inline-block;
    }
    figure img {
        width: 200px;
        height: 115px;
    }
}